using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp3
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int v = -1;
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                if (int.Parse(s[i]) <= l)
                {
                    v = i+1;
                    break;
                }
            }
            Console.WriteLine(v);
        }
    }
}